package com.hai.dao;

import com.hai.entity.HighCouponCode;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper扩展类
 */
public interface HighCouponCodeMapperExt {

    @Insert({
            "<script>",
            "insert into high_coupon_code (coupon_id, merchant_id, ",
            "child_order_id, sales_code, ",
            "sales_end_time, use_end_time, ",
            "create_time, receive_time, ",
            "consume_time, `status`, ",
            "operator_id, operator_name, ",
            "ext_1, ext_2, ext_3)",
            "values ",
            "<foreach collection='list' item='item' index='index' separator=','>",
                "(#{item.couponId,jdbcType=BIGINT}, " +
                "#{item.merchantId,jdbcType=BIGINT}," +
                "#{item.childOrderId,jdbcType=BIGINT}, " +
                "#{item.salesCode,jdbcType=VARCHAR}, ",
                "#{item.salesEndTime,jdbcType=TIMESTAMP}," +
                "#{item.useEndTime,jdbcType=TIMESTAMP}, ",
                "#{item.createTime,jdbcType=TIMESTAMP}, " +
                "#{item.receiveTime,jdbcType=TIMESTAMP}, ",
                "#{item.consumeTime,jdbcType=TIMESTAMP}," +
                "#{item.status,jdbcType=INTEGER}, ",
                "#{item.operatorId,jdbcType=BIGINT}, " +
                "#{item.operatorName,jdbcType=VARCHAR}, ",
                "#{item.ext1,jdbcType=VARCHAR}," +
                "#{item.ext2,jdbcType=VARCHAR}, " +
                "#{item.ext3,jdbcType=VARCHAR})",
            "</foreach>",
            "</script>"
    })
    void insertList(@Param(value = "list") List<HighCouponCode> list);

}
